### Namespace

# GExiv2 – 0.16

GObject wrapper library for Exiv2

Version | 0.16.0
Authors | Unknown authors
License | GPL-2.0-or-later
Website | https://wiki.gnome.org/Projects/gexiv2
Source | https://gitlab.gnome.org/GNOME/gexiv2/

#### Build

C headers | `gexiv2/gexiv2.h`
pkg-config files | `gexiv2-0.16`

#### Dependencies

GLib—2.0 | General-purpose utility library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Metadata | An object holding all the Exiv2 metadata. Previews, if present, are also available.
PreviewImage | An accessor to the preview images contained in the image’s metadata.
PreviewProperties | Properties of a preview image.

#### Enumerations

ByteOrder | Options to control the byte order of binary EXIF data exports, in `gexiv2_metadata_get_exif_data()`.
LogLevel | Used in.
Orientation | The orientation of an image is defined as the location of it’s x,y origin. More than rotation, orientation allows for every variation of rotation, flips, and mirroring to be described in 3 bits of data.
StructureType | Used in `gexiv2_metadata_set_xmp_tag_struct()` to determine the array type.

#### Bitfields

XmpFormatFlags | Options to control the format of the serialized XMP packet Taken from: exiv2/src/xmp.hpp.

#### Callbacks

LogHandler | The log handler can be set by `gexiv2_log_set_handler()`. When set, the log handler will receive all log messages emitted by Exiv2 and gexiv2. It’s up to the handler to decide where (and if) the images are displayed or stored.

#### Functions

get_version | The gexiv2 library’s version number as a formatted decimal XXYYZZ.
initialize | Initializes GExiv2.
log_get_default_handler | Get the default `GExiv2LogHandler`, which uses Exiv2’s built-in handler. Exiv2 will send the message to stderr.
log_get_handler | Get the current `GExiv2LogHandler`.
log_get_level | Get the current `GExiv2LogLevel`.
log_set_handler | Replace the default handler with a custom log handler.
log_set_level | Set the current `GExiv2LogLevel`.
log_use_glib_logging | Make GExiv2 use GLib’s logging mechanism.
shutdown | Shutdown GExiv2. since: 0.16.0

#### Function Macros

CHECK_VERSION | Check if the current gexiv2 library version is greater than or equal to the supplied version requirement.

#### Constants

MAJOR_VERSION |
MICRO_VERSION |
MINOR_VERSION |